<?php
    require_once "model_conexion.php";
    class Modelo_Inicio extends ConexionDB{
        public function Traer_Widget(){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_TRAER_WIDGET()";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->execute();
            $resultado = $query->fetchAll();
            foreach($resultado as $resp){
                $arreglo[]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }
        public function Traer_Widget_Area($idarea){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_TRAER_WIDGET_AREA(?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$idarea); 
            $query->execute();
            $resultado = $query->fetchAll();
            foreach($resultado as $resp){
                $arreglo[]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }

        public function Listar_Comunicado_Area($idarea){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_LISTAR_COMUNICADO_AREA(?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$idarea); 
            $query->execute();
            $resultado = $query->fetchAll(PDO::FETCH_ASSOC);
            foreach($resultado as $resp){
                $arreglo[]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }
        public function Listar_Comunicado_Externo(){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_LISTAR_COMUNICADO_EXTERNO()";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->execute();
            $resultado = $query->fetchAll(PDO::FETCH_ASSOC);
            foreach($resultado as $resp){
                $arreglo[]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }



    }
?>